<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="stdevf">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>stdevf</refname>
    <refpurpose> standard deviation</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>s=stdevf(x,fre)
s=stdevf(x,fre,'r') or s=stdevf(x,fre,1)
s=stdevf(x,fre,'c') or s=stdevf(x,fre,2)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>real or complex vector or matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    This function   computes the standard  deviation  of the
    values  of a vector  or matrix <literal>   x</literal>, each of them
    counted with  a  frequency  given  by the  corresponding
    values of the  integer vector or matrix  <literal> fre</literal> who
    has the same type of <literal> x</literal>.</para>
    <para>
    For  a vector or matrix  <literal>  x</literal>, s=stdevf(x,fre) (or
    <literal> s=stdevf(x,fre,'*') </literal>  returns in scalar <literal> s</literal>
    the standard deviation of all the entries  of <literal> x</literal>,
    each value  counted  with the multiplicity  indicated by
    the corresponding value of <literal> fre</literal>.</para>
    <para><literal>s=stdevf(x,fre,'r')</literal>   (or,     equivalently,   
    <literal>s=stdevf(x,fre,1)</literal>) returns in each  entry of  the row
    vector  <literal> s</literal>  of type  1xsize(x,'c')  the standard
    deviation of each column of <literal> x</literal>, each value counted
    with  the multiplicity  indicated  by the  corresponding
    value of <literal> fre</literal>.</para>
    <para><literal>s=stdevf(x,fre,'c')</literal>    (or,   equivalently,    
    <literal> s=stdevf(x,fre,2)</literal>)  returns   in each  entry  of  the
    column vector  <literal>  s</literal>   of type  size(x,'c')x1   the
    standard  deviation of each row  of <literal> x</literal>, each value
    counted    with the  multiplicity    indicated   by  the
    corresponding value of <literal> fre</literal>.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=[0.2113249 0.0002211 0.6653811;0.7560439 0.9546254 0.6283918]
fre=[1 2 3;3 4 3]
m=stdevf(x,fre)
m=stdevf(x,fre,'r')
m=stdevf(x,fre,'c')
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para> Carlos Klimann</para>
  </refsection>
  <refsection>
    <title>Bibliography</title>
    <para>
    Wonacott, T.H. &amp; Wonacott, R.J.; Introductory Statistics, fifth edition, J.Wiley &amp; Sons, 1990.</para>
  </refsection>
</refentry>
